## com.thingmagic
Class TagAuthentication

    java.lang.Object
      com.thingmagic.TagAuthentication

Direct Known Subclasses:
  Gen2.Password, Gen2.SecurePasswordLookup

    public abstract class TagAuthentication

extends java.lang.Object

The TagAuthentication class is a generic superclass for various authentication mechanisms for accessing and killing tags. See the per-protocol subclasses for details.

Constructor Summary
`TagAuthentication()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagAuthentication

    public TagAuthentication()